import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {RouterModule} from '@angular/router';

import {AffiliationsComponent} from './affiliations.component';

import {AffiliationsRoutingModule} from './affiliations-routing.module';
import {AffiliationService} from '../../openaireLibrary/connect/affiliations/affiliation.service';
import {AlertModalModule} from '../../openaireLibrary/utils/modal/alertModal.module';
import {UtilitiesService} from '../../openaireLibrary/services/utilities.service';
import {InputModule} from "../../openaireLibrary/sharedComponents/input/input.module";
import {PageContentModule} from "../../openaireLibrary/dashboard/sharedComponents/page-content/page-content.module";
import {CommunityInfoModule} from "../community-info/community-info.module";
import {IconsModule} from "../../openaireLibrary/utils/icons/icons.module";
import {IconsService} from "../../openaireLibrary/utils/icons/icons.service";
import {add, edit, preview, remove} from "../../openaireLibrary/utils/icons/icons";
import {NoLoadPaging} from "../../openaireLibrary/searchPages/searchUtils/no-load-paging.module";
import {LoadingModule} from "../../openaireLibrary/utils/loading/loading.module";
import {UrlPrefixModule} from "../../openaireLibrary/utils/pipes/url-prefix.module";
import {HelpContentService} from "../../services/help-content.service";

@NgModule({
  imports: [
    AffiliationsRoutingModule, CommonModule, FormsModule, RouterModule,
    AlertModalModule, ReactiveFormsModule, InputModule, PageContentModule, CommunityInfoModule, IconsModule, NoLoadPaging, LoadingModule, UrlPrefixModule
  ],
  declarations: [
    AffiliationsComponent
  ],
  providers: [
    AffiliationService, UtilitiesService, HelpContentService
  ],
  exports: [
    AffiliationsComponent
  ]
})

export class AffiliationsModule {
  
  constructor(private iconsService: IconsService) {
    this.iconsService.registerIcons([add, preview, edit, remove])
  }
}
