import {Component, OnInit} from '@angular/core';
import {ActivatedRoute} from '@angular/router';
import {properties} from '../../../environments/environment';
import {Subscriber} from 'rxjs';
import {Title} from "@angular/platform-browser";

@Component({
  selector: 'claims',
  template: `
    <div page-content class="admin-pages">
      <div header>
        <users-tabs tab="claims"></users-tabs>
      </div>
      <div inner>
        <claims-admin fetchBy="Context" [fetchId]=communityId [isConnect]="true" [claimsInfoURL]=claimsInfoURL
                      [externalPortalUrl]="externalPortalUrl">
        </claims-admin>
      </div>
    </div>
  `,
})

export class ClaimsComponent implements OnInit {
  communityId: string;
  claimsInfoURL: string;
  externalPortalUrl = '';
  sub;
  
  constructor(private route: ActivatedRoute,
              private title: Title) {
  }
  
  ngOnInit() {
    this.sub = this.route.params.subscribe(params => {
      this.communityId = params['community'];
      this.title.setTitle(this.communityId.toUpperCase() + ' | Manage Links');
      this.claimsInfoURL = properties.claimsInformationLink;
      this.externalPortalUrl = 'https://' + (properties.environment == 'beta' ? 'beta.' : '') + ((this.communityId == 'openaire') ? 'explore' : this.communityId) + '.openaire.eu';
    });
    
  }
  
  ngOnDestroy() {
    if (this.sub instanceof Subscriber) {
      this.sub.unsubscribe();
    }
  }
}
