import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {FormsModule} from '@angular/forms';
import {RouterModule} from '@angular/router';

import {SubjectsEditFormComponent} from './subjects-edit-form.component';

import {SubjectsService} from '../subjects.service';
import {SubjectsEditFormRoutingModule} from './subjects-edit-form-routing.module';
import {PageContentModule} from '../../../openaireLibrary/dashboard/sharedComponents/page-content/page-content.module';
import {IconsModule} from '../../../openaireLibrary/utils/icons/icons.module';
import {IconsService} from '../../../openaireLibrary/utils/icons/icons.service';
import {add, check_circle_outlined, close, edit, remove} from '../../../openaireLibrary/utils/icons/icons';
import {AlertModalModule} from '../../../openaireLibrary/utils/modal/alertModal.module';
import {NoLoadPaging} from '../../../openaireLibrary/searchPages/searchUtils/no-load-paging.module';
import {LoadingModule} from '../../../openaireLibrary/utils/loading/loading.module';
import {InputModule} from '../../../openaireLibrary/sharedComponents/input/input.module';
import {CommunityInfoModule} from '../../community-info/community-info.module';
import {SearchInputModule} from '../../../openaireLibrary/sharedComponents/search-input/search-input.module';

@NgModule({
  imports: [
    SubjectsEditFormRoutingModule, CommonModule, FormsModule, RouterModule, PageContentModule, IconsModule, AlertModalModule, NoLoadPaging, LoadingModule, InputModule, CommunityInfoModule, SearchInputModule
  ],
  declarations: [
    SubjectsEditFormComponent
  ],
  providers: [
    SubjectsService
  ],
  exports: [
    SubjectsEditFormComponent
   ]
})
export class SubjectsEditFormModule {
  constructor(private iconsService: IconsService) {
    this.iconsService.registerIcons([add, edit, remove, close])
  }
}
