import {EnvProperties} from '../app/openaireLibrary/utils/properties/env-properties';

export let properties: EnvProperties = {
  environment:"production",
  isDashboard: true,
  adminToolsPortalType: "community",
  enablePiwikTrack: false,
  useCache: false,
  metricsAPIURL: "https://services.openaire.eu/usagestats/",
  framesAPIURL: "https://www.openaire.eu/stats3/",
  claimsAPIURL: "https://services.openaire.eu/claims/rest/claimsService/",
  statisticsAPIURL: "https://beta.services.openaire.eu/stats-api/",
  statisticsFrameAPIURL:"https://www.openaire.eu/stats/",
  statisticsFrameNewAPIURL: "http://marilyn.athenarc.gr:8080/stats-api/",
  useNewStatistisTool:false,
  searchAPIURLLAst: "https://services.openaire.eu/search/v2/api/",
  searchResourcesAPIURL: "https://services.openaire.eu/search/v2/api/resources",
  openCitationsAPIURL: "https://services.openaire.eu/opencitations/getCitations?id=",
  csvAPIURL: "https://services.openaire.eu/search/v2/api/reports",
  searchCrossrefAPIURL: "https://api.crossref.org/works",
  searchDataciteAPIURL: "https://api.datacite.org/works",
  searchOrcidURL: "https://pub.orcid.org/",
  orcidURL: "https://orcid.org/",
  doiURL: "https://dx.doi.org/",
  cordisURL: "http://cordis.europa.eu/projects/",
  openDoarURL: "http://v2.sherpa.ac.uk/id/repository/",
  r3DataURL: "http://service.re3data.org/repository/",
  sherpaURL: "http://www.sherpa.ac.uk/romeo/search.php?issn=",
  zenodo: "https://zenodo.org/",
  zenodoCommunities: "https://zenodo.org/api/communities/",
  openAccess: "https://www.openaire.eu/support/faq#article-id-234",
  openAccessRepo: "https://www.openaire.eu/support/faq#article-id-310",
  fp7Guidlines: "https://www.openaire.eu/open-access-in-fp7-seventh-research-framework-programme",
  h2020Guidlines: "https://www.openaire.eu/oa-publications/h2020/open-access-in-horizon-2020",
  ercGuidlines: "http://erc.europa.eu/sites/default/files/document/file/ERC_Open_Access_Guidelines-revised_2014.pdf",
  helpdesk: "https://www.openaire.eu/support/helpdesk",
  helpdeskEmail: "helpdesk@openaire.eu",
  utilsService: "https://explore.openaire.eu/utils-service",
  vocabulariesAPI:"https://services.openaire.eu/provision/mvc/vocabularies/",
  piwikBaseUrl:" https://analytics.openaire.eu/piwik.php?idsite=6",
  loginUrl: "https://services.openaire.eu/connect-dashboard-login/openid_connect_login",
  userInfoUrl: " https://services.openaire.eu/uoa-user-management/api/users/getUserInfo?accessToken=",
  registryUrl: 'https://services.openaire.eu/uoa-user-management/api/registry/',
  logoutUrl: "https://services.openaire.eu/connect-dashboard-login/openid_logout",
  cookieDomain:".openaire.eu",
  feedbackmail:"openaire.test@gmail.com",
  feedbackmailForMissingEntities: "feedback@openaire.eu",
  cacheUrl:"https://explore.openaire.eu/cache/get?url=",
  deleteCacheUrl: 'https://explore.openaire.eu/cache/clear',
  adminToolsAPIURL:"https://services.openaire.eu/uoa-admin-tools/",
  adminToolsCommunity:"openaire",
  communityAPI: "https://services.openaire.eu/openaire/community/",
  miningBackendURL: "https://beta.services.openaire.eu/interactive-mining",
  csvLimit:  2000,
  pagingLimit:  20,
  resultsPerPage:  10,
  baseLink: "",
  domain: "https://admin.explore.openaire.eu/",
  baseOpenaireLink: "https://explore.openaire.eu",
  searchLinkToPublication: "/search/publication?articleId=",
  searchLinkToProject: "/search/project?projectId=",
  searchLinkToDataProvider: "/search/dataprovider?datasourceId=",
  searchLinkToDataset: "/search/dataset?datasetId=",
  searchLinkToOrganization: "/search/organization?organizationId=",
  searchLinkToPublications: "/search/find/publications",
  searchLinkToDataProviders: "/search/find/dataproviders",
  searchLinkToProjects: "/search/find/projects",
  searchLinkToDatasets: "/search/find/datasets",
  searchLinkToSoftware: "/search/find/software",
  searchLinkToOrganizations: "/search/find/organizations",
  searchLinkToCompatibleDataProviders: "/search/content-providers",
  searchLinkToEntityRegistriesDataProviders: "/search/entity-registries",
  searchLinkToEntityRegistriesDataProvidersTable: "/search/entity-registries-table",
  searchLinkToJournals: "/search/journals",
  searchLinkToJournalsTable: "/search/journals-table",
  searchLinkToAdvancedPublications: "/search/advanced/publications",
  searchLinkToAdvancedProjects: "/search/advanced/projects",
  searchLinkToAdvancedDatasets: "/search/advanced/datasets",
  searchLinkToAdvancedSoftware: "/search/advanced/software",
  searchLinkToAdvancedDataProviders: "/search/advanced/dataproviders",
  searchLinkToAdvancedOrganizations: "/search/advanced/organizations",
  lastIndexInformationLink: "https://www.openaire.eu/aggregation-and-content-provision-workflows",
  showLastIndexInformationLink: false,
  widgetLink: "https://www.openaire.eu/index.php?option=com_openaire&view=widget&format=raw&projectId=",
  claimsInformationLink: "https://www.openaire.eu/linking",
  lastIndexUpdate: "2020-12-17",
  indexInfoAPI: "https://services.openaire.eu/openaire/info/",
  admins: ["rcd@openaire.eu"],
  adminPortalURL: "https://admin.connect.openaire.eu"
};
